WorkerInternal

List due worker-mode synthetic monitors for probing

POST
/internal/worker/synthetic-monitors/worker-probes/due

Authorization

WorkerApiKey
AuthorizationBearer <token>

Shared WORKER_API_KEY secret for worker internal routes

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/internal/worker/synthetic-monitors/worker-probes/due" \  -H "Content-Type: application/json" \  -d '{}'
{  "monitors": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",      "url": "http://example.com",      "intervalSeconds": 1,      "timeoutMs": 1,      "assertions": {        "minTlsVersion": "1.0",        "maxDaysUntilExpiry": 0,        "expectedSan": [          "string"        ],        "maxResponseTimeMs": 0,        "expectHttpStatus": 0      },      "auth": {}    }  ],  "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}
Empty
Empty